%define bname gstreamer0.10
%define name %bname-ffmpeg
%define oname gst-ffmpeg
%define version 0.10.13
%define release %mkrel 11
%define gstver 0.10.22

Summary: Gstreamer plugin for ffmpeg codecs and (de)muxers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{oname}-%{version}.tar.bz2
# (cjw) fix build with ffmpeg 1.0
#       not (yet) ported:
#         - "palette" support
#         - some encoder options that were global in ffmpeg but are now private
Patch1: gst-ffmpeg-0.10.13-ffmpeg-1.0.patch
# (cjw) don't halt the build for 15s just to show a silly "warning"
Patch2: gst-ffmpeg-nosleep.patch
Patch3: gst-ffmpeg-0.10.13-automake-1.13.patch
# (cjw) ffmpeg 1.1 only supports planar pcm data for some audio codecs
Patch4: gst-ffmpeg-0.10.13-planar-audio.patch
License: GPLv2+
Group: System/Libraries
URL: http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html
BuildRequires: libgstreamer-plugins-base-devel >= %gstver
BuildRequires: liborc-devel >= 0.4.5
BuildRequires: freetype2-devel
BuildRequires: libcheck-devel
Buildrequires: yasm
%ifnarch %arm %mips
BuildRequires: valgrind
%endif
BuildRequires: libbzip2-devel
BuildRequires: ffmpeg-devel

%description
This plugin provides audio and video codecs as well as muxers and 
demuxers for multimedia file formats from ffmpeg to GStreamer.

%prep
%setup -q -n %oname-%version
%patch1 -p1 -b .ffmpeg-1_0
%patch2 -p1 -b .silly-warning
%patch3 -p1 -b .automake-1_13
%patch4 -p1 -b .planar-audio
rm -fr gst-libs/ext/libav
mkdir gst-libs/ext/libav
touch gst-libs/ext/libav/configure

%build
%define _disable_ld_no_undefined 1
# (re)generate autofoo using our autotools
NOCONFIGURE=1 ./autogen.sh

# gst-ffmpeg mp3 decoder has issues (eg no seeking support), disable it since
# gst-plugins-bad and gst-fluendo both ship better mp3 decoders
%configure2_5x \
  --with-package-name='%{distribution} %name package' \
  --with-package-origin='http://www.mageia.org/' \
  --with-system-ffmpeg

%make

%check
cd tests/check
#gw fails in iurt
#make check

%install
%makeinstall_std
rm -f %buildroot%_libdir/gstreamer*/*a

%files
%doc README NEWS TODO ChangeLog AUTHORS 
%_libdir/gstreamer-0.10/libgstffmpeg.so
%_libdir/gstreamer-0.10/libgstffmpegscale.so
%_libdir/gstreamer-0.10/libgstpostproc.so


%changelog

* Tue Feb 12 2013 cjw <cjw> 0.10.13-11.mga3
+ Revision: 397947
- fix memory leak in patch4

* Mon Feb 11 2013 cjw <cjw> 0.10.13-10.mga3
+ Revision: 397919
- patch4: crummy fix for some ffmpeg audio codecs now only decoding to planar pcm

* Sat Jan 12 2013 umeabot <umeabot> 0.10.13-9.mga3
+ Revision: 352733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.10.13-8.mga3
+ Revision: 341623
- rebuild for new ffmpeg

* Fri Jan 04 2013 cjw <cjw> 0.10.13-7.mga3
+ Revision: 338642
- patch3: fix build with automake 1.13

* Sun Dec 02 2012 cjw <cjw> 0.10.13-6.mga3
+ Revision: 325686
- fix rpm group
- build against system ffmpeg libraries
- patch1: fix build with ffmpeg 1.0
- patch2: do not halt build for 15s for a silly "warning" msg
- improve description and summary

  + fwang <fwang>
    - update url

* Sat Sep 01 2012 fwang <fwang> 0.10.13-5.mga3
+ Revision: 286909
- update bundled gstreamer to 0.7.13

  + ovitters <ovitters>
    - use internal ffmpeg as external does not build
    - rebuild due to new ffmpeg
    - rebuild due to new ffmpeg

  + tv <tv>
    - rebuild for new libav*

* Fri Jan 27 2012 fwang <fwang> 0.10.13-3.mga2
+ Revision: 202152
- rebuild for new ffmpeg

* Mon Jan 16 2012 anssi <anssi> 0.10.13-2.mga2
+ Revision: 196824
- build against system FFmpeg (the issues previously encountered with it
  have been fixed)
- drop enable-mpegts.patch, gst-plugins-bad now has a working mpegts
  demuxer

* Sat Dec 03 2011 shlomif <shlomif> 0.10.13-1.mga2
+ Revision: 175573
- New version - 0.10.13

  + fwang <fwang>
    - br yasm
    - new version 0.10.12

* Sun Jan 16 2011 ahmad <ahmad> 0.10.11-3.mga1
+ Revision: 20342
- adapt configure options to Mageia
- imported package gstreamer0.10-ffmpeg

